리스트
리스트 멤버 조회
GET /v1/lists/{list_id}/members reads 2 크레딧
공개 리스트의 멤버인 계정들, 전체 사용자 레코드 형태.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
count | int 1–100 = 50 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서. 디코딩할 수 없는 커서는 400입니다 |
응답
리스트 id, 사용자 레코드 한 페이지, 다음 페이지 커서(끝이면 null). 알 수 없거나 비공개인 리스트는 404입니다.
상태: 200, 400, 404, 422, 429, 502
요청
curl https://api.xsignalfeed.com/v1/lists/1439812722267357187/members?count=50 \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
"list_id": "1439812722267357187",
"users": [
{
"id": "2073702862933397504",
"screen_name": "list_member",
"name": "…",
"bio": "…",
"avatar": "https://pbs.twimg.com/profile_images/…_normal.jpg",
"banner": "https://pbs.twimg.com/profile_banners/2073702862933397504/…",
"followers": 79,
"following": 148,
"tweets": 348,
"location": "",
"url": "",
"verified": false,
"verified_type": null,
"protected": false,
"created_at": "2026-07-04T02:11:09Z",
"category": null
},
{
"…": "…"
}
],
"next_cursor": "6277800240046813184|2100421417605529578"
}